<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Absence extends Model
{
    use HasFactory ;
    protected $guarded = ['id', 'created_at', 'updated_at'];

    public function child(){
        return $this->belongsTo(Child::class,'child_id');
    }
    public function parent(){
        return $this->belongsTo(User::class,'parent_id');
    }
    public function employee(){
        return $this->belongsTo(Employee::class,'employee_id');
    }
}
